> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fleetit.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Receive

> Receive a shipment of transponders



## OpenAPI

````yaml post /v2/transponders/shipments/{id}/receive/
openapi: 3.0.3
info:
  title: Fleet IT Customer API
  version: 2.0.0
  description: >-
    Public API for Fleet IT platform customers.


    For detailed guides, authentication setup, error codes, and integration
    examples, see the [Fleet IT
    Documentation](https://docs.fleetit.com/documentation/overview).


    ## Headers


    All authenticated endpoints accept an optional `Fleet-Id` header (integer)
    to specify which fleet to operate on. If omitted, the user's default fleet
    is used.
servers: []
security:
  - JWT: []
  - APIKey: []
externalDocs:
  url: https://docs.fleetit.com/documentation/overview
  description: Fleet IT Documentation
paths:
  /v2/transponders/shipments/{id}/receive/:
    post:
      tags:
        - Transponder Shipments
      description: Triggers transition of shipment from `shipped` to `received`
      operationId: v2_transponders_shipments_receive_create
      parameters:
        - in: path
          name: id
          schema:
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ReturnShipment'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/ReturnShipment'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/ReturnShipment'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReturnShipment'
          description: ''
components:
  schemas:
    ReturnShipment:
      type: object
      description: Model serializer to be used for create return shipments
      properties:
        transponders:
          type: array
          items:
            type: integer
        remarks:
          type: string
          nullable: true
      required:
        - transponders
  securitySchemes:
    JWT:
      type: http
      scheme: bearer
      bearerFormat: JWT
    APIKey:
      type: apiKey
      in: header
      name: Authorization

````